WordPress.org

Support

Support » Plugins and Hacks » [Resolved] Errors in debug mode

[Resolved] Errors in debug mode

  • The following error occure when define('WP_DEBUG', true); is in wp-config.php. This is very annoying for developers. Please fix.:

    Notice: has_cap was called with an argument that is deprecated since version 2.0! Usage of user levels by plugins and themes is deprecated. Use roles and capabilities instead. in /mnt/webf/d1/15/51893315/htdocs/opajaap/beta/wp-includes/functions.php on line 2908 Warning: Cannot modify header information – headers already sent by (output started at /mnt/webf/d1/15/51893315/htdocs/opajaap/beta/wp-includes/functions.php:2908) in /mnt/webf/d1/15/51893315/htdocs/opajaap/beta/wp-includes/pluggable.php on line 876

    The error is in map_functions.php line 61:
    It reads:

    add_options_page('Google Maps Options', 'Google Maps', 10, PLUGIN_NAME.'/php/options.php');

    and should be:

    add_options_page('Google Maps Options', 'Google Maps', 'administrator', PLUGIN_NAME.'/php/options.php');

    Thanx

    http://wordpress.org/extend/plugins/google-maps-gpx-viewer/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Errors in debug mode’ is closed to new replies.